osl::container::TripleIntPair Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::container::TripleIntPair Class Reference

`#include <tripleInt.h>`

Collaboration diagram for osl::container::TripleIntPair:
[legend]

## Public Member Functions
| TripleIntPair ()
const TripleInt & | operator[] (int i) const
const TripleInt & | operator[] (Player pl) const
TripleInt & | operator[] (int i)
TripleInt & | operator[] (Player pl)
TripleIntPair & | operator+= (TripleIntPair const &a)
TripleIntPair & | operator-= (TripleIntPair const &a)

## Private Attributes
CArray< TripleInt, 2 > | v

## Detailed Description

Definition at line 171 of file tripleInt.h.

## Constructor & Destructor Documentation

osl::container::TripleIntPair::TripleIntPair | ( | ) |  |
| inline

Definition at line 174 of file tripleInt.h.

## Member Function Documentation

TripleIntPair& osl::container::TripleIntPair::operator+= | ( | TripleIntPair const & | a) |  |
| inline

Definition at line 187 of file tripleInt.h.

References v.

TripleIntPair& osl::container::TripleIntPair::operator-= | ( | TripleIntPair const & | a) |  |
| inline

Definition at line 192 of file tripleInt.h.

References v.

const TripleInt& osl::container::TripleIntPair::operator[] | ( | int | i) |  | const
| inline

Definition at line 175 of file tripleInt.h.

References v.

const TripleInt& osl::container::TripleIntPair::operator[] | ( | Player | pl) |  | const
| inline

Definition at line 178 of file tripleInt.h.

References v.

TripleInt& osl::container::TripleIntPair::operator[] | ( | int | i) |  |
| inline

Definition at line 181 of file tripleInt.h.

References v.

TripleInt& osl::container::TripleIntPair::operator[] | ( | Player | pl) |  |
| inline

Definition at line 184 of file tripleInt.h.

References v.

## Member Data Documentation

CArray<TripleInt,2> osl::container::TripleIntPair::v
| private

Definition at line 172 of file tripleInt.h.

Referenced by operator+=(), operator-=(), and operator[]().

The documentation for this class was generated from the following file:

- tripleInt.h